import { z } from "zod"

export const buildAreasUpdateSchema = z.object({
    areaName: z.string().optional(),
    areaCode: z.string().optional(),
    areaType: z.string().optional(),
    areaDirection: z.string().optional(),
    areaGrossSize: z.number().optional(),
    areaNetSize: z.number().optional(),
    width: z.number().optional(),
    size: z.number().optional(),
    expiryStarts: z.string().optional(),
    expiryEnds: z.string().optional(),
});

export type BuildAreasUpdate = z.infer<typeof buildAreasUpdateSchema>;
